NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::BendBuilder Class Reference

Represents a Bend feature builder. More...

Inheritance diagram for NXOpen::Features::SheetMetal::BendBuilder:
NXOpen::Features::SheetMetal::SheetmetalBaseBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BendDirectionOptions { BendDirectionOptionsSectionNormalSide, BendDirectionOptionsSectionReverseNormalSide }
 This enum represents the Bend Direction for Bend. More...
 
enum  BendLocationOptions {
  BendLocationOptionsOuterMoldLine, BendLocationOptionsCenterLine, BendLocationOptionsInnerMoldLine, BendLocationOptionsMaterialInside,
  BendLocationOptionsMaterialOutside
}
 This enum represents the Bend Location (Material Side) for Bend. More...
 
enum  FixedSideOptions { FixedSideOptionsSectionSideLeft, FixedSideOptionsSectionSideRight }
 This enum represents the Fixed Side for Bend. More...
 

Public Member Functions

NXOpen::Features::SheetMetal::BendBuilder::BendLocationOptions BendLocation ()
 Returns the Bend Location (Material Side)
Created in NX5.0.0. More...
 
NXOpen::Features::SheetMetal::BendOptionsBendOptions ()
 Returns the Bend Options. More...
 
NXOpen::Features::SheetMetal::BendBuilder::BendDirectionOptions Direction ()
 Returns the Bend Direction
Created in NX5.0.0. More...
 
bool ExtendProfile ()
 Returns the Extend Option
Created in NX5.0.0. More...
 
NXOpen::Features::SheetMetal::BendBuilder::FixedSideOptions FixedSide ()
 Returns the Fixed Side
Created in NX5.0.0. More...
 
NXOpen::ExpressionGetBendAngle ()
 Returns the Bend Angle. More...
 
NXOpen::SectionSection ()
 Returns the Section
Created in NX5.0.0. More...
 
void SetBendAngle (const NXString &bendAngle)
 Sets the Bend Angle
Created in NX5.0.0. More...
 
void SetBendAngle (const char *bendAngle)
 Sets the Bend Angle
Created in NX5.0.0. More...
 
void SetBendLocation (NXOpen::Features::SheetMetal::BendBuilder::BendLocationOptions bendLocation)
 Sets the Bend Location (Material Side)
Created in NX5.0.0. More...
 
void SetDirection (NXOpen::Features::SheetMetal::BendBuilder::BendDirectionOptions direction)
 Sets the Bend Direction
Created in NX5.0.0. More...
 
void SetExtendProfile (bool extendOption)
 Sets the Extend Option
Created in NX5.0.0. More...
 
void SetFixedSide (NXOpen::Features::SheetMetal::BendBuilder::FixedSideOptions fixedSide)
 Sets the Fixed Side
Created in NX5.0.0. More...
 
void SetSection (NXOpen::Section *section)
 Sets the Section
Created in NX5.0.0. More...
 
void SetSketch (NXOpen::Features::SketchFeature *sketch)
 Sets the Sketch
Created in NX5.0.0. More...
 
void SetTargetFace (NXOpen::Face *targetFace)
 Sets the target face on which bend feature applies. More...
 
NXOpen::Features::SketchFeatureSketch ()
 Returns the Sketch
Created in NX5.0.0. More...
 
NXOpen::FaceTargetFace ()
 Returns the target face on which bend feature applies. More...
 
int ValidateBuilderData ()
 Verify whether the builder data is valid for creating bend or not. More...
 
- Public Member Functions inherited from NXOpen::Features::SheetMetal::SheetmetalBaseBuilder
NXOpen::Features::SheetMetal::ApplicationContext GetApplicationContext ()
 Get the application context. More...
 
void SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Bend feature builder.


To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateBendFeatureBuilder

Created in NX5.0.0.

Member Enumeration Documentation

This enum represents the Bend Direction for Bend.


Created in NX5.0.0.

Enumerator
BendDirectionOptionsSectionNormalSide 

Bend is created on the side of the section normal.

BendDirectionOptionsSectionReverseNormalSide 

Bend is created on the side opposite to that of the section normal.

This enum represents the Bend Location (Material Side) for Bend.


Created in NX5.0.0.

Enumerator
BendLocationOptionsOuterMoldLine 

outer mold line

BendLocationOptionsCenterLine 

center line

BendLocationOptionsInnerMoldLine 

inner mold line

BendLocationOptionsMaterialInside 

material inside

BendLocationOptionsMaterialOutside 

material outside

This enum represents the Fixed Side for Bend.


Created in NX5.0.0.

Enumerator
FixedSideOptionsSectionSideLeft 

Side pointed to by the inverse of the tangent cross normal vector.

FixedSideOptionsSectionSideRight 

Side pointed to by the tangent cross normal vector.

Member Function Documentation

NXOpen::Features::SheetMetal::BendBuilder::BendLocationOptions NXOpen::Features::SheetMetal::BendBuilder::BendLocation ( )

Returns the Bend Location (Material Side)
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Features::SheetMetal::BendOptions* NXOpen::Features::SheetMetal::BendBuilder::BendOptions ( )

Returns the Bend Options.

The option Features::SheetMetal::BendOptions::CornerReliefTypeOptionsNone is not valid for the Features::Bend starting NX11 onwards.
From NX 12 Features::SheetMetal::BendOptions::SetExtendBendRelief has no effect on the Bend feature.


Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Features::SheetMetal::BendBuilder::BendDirectionOptions NXOpen::Features::SheetMetal::BendBuilder::Direction ( )

Returns the Bend Direction
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

bool NXOpen::Features::SheetMetal::BendBuilder::ExtendProfile ( )

Returns the Extend Option
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Features::SheetMetal::BendBuilder::FixedSideOptions NXOpen::Features::SheetMetal::BendBuilder::FixedSide ( )

Returns the Fixed Side
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Expression* NXOpen::Features::SheetMetal::BendBuilder::GetBendAngle ( )

Returns the Bend Angle.

Returns

Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Section* NXOpen::Features::SheetMetal::BendBuilder::Section ( )

Returns the Section
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

void NXOpen::Features::SheetMetal::BendBuilder::SetBendAngle ( const NXString bendAngle)

Sets the Bend Angle
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
bendAnglebend angle
void NXOpen::Features::SheetMetal::BendBuilder::SetBendAngle ( const char *  bendAngle)

Sets the Bend Angle
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
bendAnglebend angle
void NXOpen::Features::SheetMetal::BendBuilder::SetBendLocation ( NXOpen::Features::SheetMetal::BendBuilder::BendLocationOptions  bendLocation)

Sets the Bend Location (Material Side)
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
bendLocationbend location
void NXOpen::Features::SheetMetal::BendBuilder::SetDirection ( NXOpen::Features::SheetMetal::BendBuilder::BendDirectionOptions  direction)

Sets the Bend Direction
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
directiondirection
void NXOpen::Features::SheetMetal::BendBuilder::SetExtendProfile ( bool  extendOption)

Sets the Extend Option
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
extendOptionextend option
void NXOpen::Features::SheetMetal::BendBuilder::SetFixedSide ( NXOpen::Features::SheetMetal::BendBuilder::FixedSideOptions  fixedSide)

Sets the Fixed Side
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
fixedSidefixed side
void NXOpen::Features::SheetMetal::BendBuilder::SetSection ( NXOpen::Section section)

Sets the Section
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
sectionsection
void NXOpen::Features::SheetMetal::BendBuilder::SetSketch ( NXOpen::Features::SketchFeature sketch)

Sets the Sketch
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
sketchsketch
void NXOpen::Features::SheetMetal::BendBuilder::SetTargetFace ( NXOpen::Face targetFace)

Sets the target face on which bend feature applies.


Created in NX10.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
targetFaceA planar non-deform sheet metal face on which the bend feature is to be created.
NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::BendBuilder::Sketch ( )

Returns the Sketch
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

NXOpen::Face* NXOpen::Features::SheetMetal::BendBuilder::TargetFace ( )

Returns the target face on which bend feature applies.


Created in NX10.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

int NXOpen::Features::SheetMetal::BendBuilder::ValidateBuilderData ( )

Verify whether the builder data is valid for creating bend or not.


If the Builder data is valid, returned value should be 0


Returns
Data Validity Flag.
Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.